Bug 1119183 - [A-MQ]Need check whether java process is running when try to start A-MQ app again.
Summary: [A-MQ]Need check whether java process is running when try to start A-MQ app a...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Fuse
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Anstey
QA Contact: David Simansky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 08:38 UTC by xjia
Modified: 2017-05-31 18:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 18:22:11 UTC


Attachments (Terms of Use)

Description xjia 2014-07-14 08:38:34 UTC
Description of problem:
When start A-MQ app twice, there'll be two java processes in this app.

Version-Release number of selected component (if applicable):
fuse-openshift-cartridge-openshift-enterprise-rpm-6.1.0.redhat.385-2-fc18.noarch.rpm
2.1.z/2014-07-07.1

How reproducible:
always

Steps to Reproduce:
1. rhc app create amp fusesource-jboss-amq
2. rhc ssh amp 'ps aux'
3. rhc app start amp
4. rhc ssh amp 'ps aux'

Actual results:
4. 
[root@dhcp-65-193 ~]# rhc ssh amp 'ps aux '
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
5756     15410 16.5  5.2 2827672 335832 ?      Sl   15:23   0:38 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/lib/endorsed:/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/lib/ext:/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/instances -Dkaraf.home=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container -Dkaraf.base=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container -Dkaraf.data=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/data -Dkaraf.etc=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/etc -Djava.io.tmpdir=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/karaf.jar org.apache.karaf.main.Main
5756     17598 20.3  1.2 1711572 82492 ?       Sl   15:27   0:02 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/lib/endorsed:/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.55.x86_64/jre/lib/ext:/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/instances -Dkaraf.home=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container -Dkaraf.base=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container -Dkaraf.data=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/data -Dkaraf.etc=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/etc -Djava.io.tmpdir=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53c3857741312e7c5300046a/jboss-amq/container/lib/karaf.jar org.apache.karaf.main.Main

Expected results:
Only one java process in A-MQ app.

Additional info:
Jboss Fuse Cartrridge is running well.

Comment 2 Jonathan Anstey 2014-07-16 01:43:44 UTC
Fixed with https://github.com/jboss-fuse/amq-openshift-cartridge/commit/220b177fedb4926cb1790a4828217836726a5655

Need to cut another RPM to verify. Will post here when that is ready.

Comment 4 xjia 2014-07-30 11:05:48 UTC
Could you move this bug "ON_QA" ? Thanks

Version:
openshift-origin-cartridge-amq-6.1.0.redhat.387-6.el6op.noarch.rpm

Verify:
[root@broker ~]# rhc ssh amq 'ps aux | grep java '
4382      6842  5.0  7.4 1719856 292840 ?      Sl   03:33   1:35 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/lib/endorsed:/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/lib/ext:/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/instances -Dkaraf.home=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container -Dkaraf.base=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container -Dkaraf.data=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/data -Dkaraf.etc=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/etc -Djava.io.tmpdir=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/karaf.jar org.apache.karaf.main.Main
4382     25330  4.0  0.0 106104  1188 ?        Ss   04:04   0:00 /bin/bash -c ps aux | grep java
4382     25332  0.0  0.0 103256   828 ?        S    04:04   0:00 grep java
[root@broker ~]# rhc app start amq
RESULT:
amq started
[root@broker ~]# rhc ssh amq 'ps aux | grep java '
4382      6842  5.0  7.4 1719856 292840 ?      Sl   03:33   1:35 /usr/bin/java -server -XX:+UnlockDiagnosticVMOptions -XX:+UnsyncloadClass -Xms128M -Xmx384M -XX:PermSize=16M -XX:MaxPermSize=102M -Djava.endorsed.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/jre/lib/endorsed:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/lib/endorsed:/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/endorsed -Djava.ext.dirs=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/jre/lib/ext:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.65.x86_64/jre/lib/ext:/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/ext -Dkaraf.instances=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/instances -Dkaraf.home=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container -Dkaraf.base=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container -Dkaraf.data=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/data -Dkaraf.etc=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/etc -Djava.io.tmpdir=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/data/tmp -Djava.util.logging.config.file=/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/etc/java.util.logging.properties -Dkaraf.startLocalConsole=false -Dkaraf.startRemoteShell=true -classpath /var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/karaf-jaas-boot.jar:/var/lib/openshift/53d8c9d7db26c80fc6000333/jboss-amq/container/lib/karaf.jar org.apache.karaf.main.Main
4382     25405  4.0  0.0 106104  1196 ?        Ss   04:04   0:00 /bin/bash -c ps aux | grep java
4382     25407  0.0  0.0 103256   828 ?        S    04:04   0:00 grep java

Comment 5 xjia 2014-08-15 09:58:16 UTC
According to comment #4, verify this bug.

Comment 7 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.